bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

coreutils-6.10 tests vs. Mac OS 10.5.1 (Darwin 9.1)


From: Jim Meyering
Subject: coreutils-6.10 tests vs. Mac OS 10.5.1 (Darwin 9.1)
Date: Sat, 26 Jan 2008 23:24:28 +0100

Elias Pipping <address@hidden> wrote:
> On Sat, Jan 26, 2008 at 07:06:58PM +0100, Jim Meyering wrote:
>> Here's a better one:
>
> More progress! (still fails)
...

FYI, the following patch solved the final problem:

2008-01-26  Jim Meyering  <address@hidden>

        Work around Darwin9's set-GID-like group ownership inheritance.
        This avoids another spurious Mac OS 10.5.1 (Darwin 9.1) test failure.
        * tests/cp/preserve-gid: Accept a group ID of 0, as well.
        Reported by Elias Pipping.

diff --git a/tests/cp/preserve-gid b/tests/cp/preserve-gid
index 9537dc0..516733f 100755
--- a/tests/cp/preserve-gid
+++ b/tests/cp/preserve-gid
@@ -33,8 +33,14 @@ t0() {
   "$@" "$f" b || exit 1
   s=`stat -c '%u %g' b`
   if test "x$s" != "x$u $g"; then
-    echo "$0: $* $f b: $u $g != $s" 1>&2
-    (exit 1); exit 1
+    # Allow the actual group to match that of the parent directory
+    # (it was set to 0 above).
+    if test "x$s" = "x$u 0"; then
+      :
+    else
+      echo "$0: $* $f b: $u $g != $s" 1>&2
+      (exit 1); exit 1
+    fi
   fi
 }

--
1.5.4.rc4.26.g228a




reply via email to

[Prev in Thread] Current Thread [Next in Thread]